Index: /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/OBC/obcdyn2d.F90
===================================================================
--- /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/OBC/obcdyn2d.F90	(revision 2797)
+++ /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/OBC/obcdyn2d.F90	(revision 2797)
@@ -0,0 +1,157 @@
+MODULE obcdyn2d
+   !!======================================================================
+   !!                       ***  MODULE  obcdyn  ***
+   !! Unstructured Open Boundary Cond. :   Flow relaxation scheme on velocities
+   !!======================================================================
+   !! History :  1.0  !  2005-02  (J. Chanut, A. Sellar)  Original code
+   !!             -   !  2007-07  (D. Storkey) Move Flather implementation to separate routine.
+   !!            3.0  !  2008-04  (NEMO team)  add in the reference version
+   !!            3.2  !  2008-04  (R. Benshila) consider velocity instead of transport 
+   !!            3.3  !  2010-09  (E.O'Dea) modifications for Shelf configurations 
+   !!            3.3  !  2010-09  (D.Storkey) add ice boundary conditions
+   !!----------------------------------------------------------------------
+#if defined key_obc 
+   !!----------------------------------------------------------------------
+   !!   'key_obc' :                    Unstructured Open Boundary Condition
+   !!----------------------------------------------------------------------
+   !!   obc_dyn2d      : Apply open boundary conditions to barotropic variables.
+   !!   obc_dyn2d_fla    : Apply Flather condition
+   !!----------------------------------------------------------------------
+   USE oce             ! ocean dynamics and tracers 
+   USE dom_oce         ! ocean space and time domain
+   USE obc_oce         ! ocean open boundary conditions
+   USE dynspg_oce      ! for barotropic variables
+   USE phycst          ! physical constants
+   USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
+   USE obctides        ! for tidal harmonic forcing at boundary
+   USE in_out_manager  !
+
+   IMPLICIT NONE
+   PRIVATE
+
+   PUBLIC   obc_dyn2d     ! routine called in dynspg_ts (time splitting case ONLY)
+
+   !!----------------------------------------------------------------------
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! $Id: obcdyn.F90 2528 2010-12-27 17:33:53Z rblod $ 
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
+CONTAINS
+
+   SUBROUTINE obc_dyn2d( kt, pssh )
+      !!----------------------------------------------------------------------
+      !!                  ***  SUBROUTINE obc_dyn2d  ***
+      !!
+      !! ** Purpose : - Apply open boundary conditions for barotropic variables
+      !!
+      !!----------------------------------------------------------------------
+      INTEGER,                      INTENT(in) ::   kt   ! Main time step counter
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(in) ::   pssh
+      !!
+      INTEGER                                  ::   ib_obc ! Loop counter
+
+      DO ib_obc=1, nb_obc
+
+         SELECT CASE( nn_dyn2d(ib_obc) )
+         CASE(jp_none)
+            CYCLE
+         CASE(jp_flather)
+            CALL obc_dyn2d_fla( idx_obc(ib_obc), dta_obc(ib_obc), pssh )
+         CASE DEFAULT
+            CALL ctl_stop( 'obc_dyn3d : unrecognised option for open boundaries for barotropic variables' )
+         END SELECT
+      ENDDO
+
+   END SUBROUTINE obc_dyn2d
+
+   SUBROUTINE obc_dyn2d_fla( idx, dta, pssh )
+      !!----------------------------------------------------------------------
+      !!                 ***  SUBROUTINE obc_dyn_fla  ***
+      !!             
+      !!              - Apply Flather boundary conditions on normal barotropic velocities 
+      !!                (ln_dyn_fla=.true. or ln_tides=.true.)
+      !!
+      !! ** WARNINGS about FLATHER implementation:
+      !!1. According to Palma and Matano, 1998 "after ssh" is used. 
+      !!   In ROMS and POM implementations, it is "now ssh". In the current 
+      !!   implementation (tested only in the EEL-R5 conf.), both cases were unstable. 
+      !!   So I use "before ssh" in the following.
+      !!
+      !!2. We assume that the normal ssh gradient at the obc is zero. As a matter of 
+      !!   fact, the model ssh just inside the dynamical boundary is used (the outside  
+      !!   ssh in the code is not updated).
+      !!
+      !! References:  Flather, R. A., 1976: A tidal model of the northwest European
+      !!              continental shelf. Mem. Soc. R. Sci. Liege, Ser. 6,10, 141-164.     
+      !!----------------------------------------------------------------------
+      TYPE(OBC_INDEX),              INTENT(in) ::   idx  ! OBC indices
+      TYPE(OBC_DATA),               INTENT(in) ::   dta  ! OBC external data
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(in) ::   pssh
+
+      INTEGER  ::   jb, igrd                         ! dummy loop indices
+      INTEGER  ::   ii, ij, iim1, iip1, ijm1, ijp1   ! 2D addresses
+      REAL(wp) ::   zcorr                            ! Flather correction
+      REAL(wp) ::   zforc                            ! temporary scalar
+      !!----------------------------------------------------------------------
+
+      ! ---------------------------------!
+      ! Flather boundary conditions     :!
+      ! ---------------------------------! 
+     
+!!!!!!!!!!!! SOME WORK TO DO ON THE TIDES HERE !!!!!!!!!!!!!
+
+      ! Fill temporary array with ssh data (here spgu):
+      igrd = 1
+      spgu(:,:) = 0.0
+      DO jb = 1, idx%nblenrim(igrd)
+         ii = idx%nbi(jb,igrd)
+         ij = idx%nbj(jb,igrd)
+         spgu(ii, ij) = dta%ssh(jb)
+!!$         IF( ln_tides )   spgu(ii, ij) = spgu(ii, ij) + sshtide(jb)
+      END DO
+      !
+      igrd = 2      ! Flather bc on u-velocity; 
+      !             ! remember that flagu=-1 if normal velocity direction is outward
+      !             ! I think we should rather use after ssh ?
+      DO jb = 1, idx%nblenrim(igrd)
+         ii  = idx%nbi(jb,igrd)
+         ij  = idx%nbj(jb,igrd) 
+         iim1 = ii + MAX( 0, INT( idx%flagu(jb) ) )   ! T pts i-indice inside the boundary
+         iip1 = ii - MIN( 0, INT( idx%flagu(jb) ) )   ! T pts i-indice outside the boundary 
+         !
+         zcorr = - idx%flagu(jb) * SQRT( grav * hur_e(ii, ij) ) * ( pssh(iim1, ij) - spgu(iip1,ij) )
+!!$         zforc = dta%u2d(jb) + utide(jb)
+         zforc = dta%u2d(jb)
+         ua_e(ii,ij) = zforc + zcorr * umask(ii,ij,1) 
+      END DO
+      !
+      igrd = 3      ! Flather bc on v-velocity
+      !             ! remember that flagv=-1 if normal velocity direction is outward
+      DO jb = 1, idx%nblenrim(igrd)
+         ii  = idx%nbi(jb,igrd)
+         ij  = idx%nbj(jb,igrd) 
+         ijm1 = ij + MAX( 0, INT( idx%flagv(jb) ) )   ! T pts j-indice inside the boundary
+         ijp1 = ij - MIN( 0, INT( idx%flagv(jb) ) )   ! T pts j-indice outside the boundary 
+         !
+         zcorr = - idx%flagv(jb) * SQRT( grav * hvr_e(ii, ij) ) * ( pssh(ii, ijm1) - spgu(ii,ijp1) )
+!!$         zforc = dta%v2d(jb) + vtide(jb)
+         zforc = dta%v2d(jb)
+         va_e(ii,ij) = zforc + zcorr * vmask(ii,ij,1)
+      END DO
+      CALL lbc_lnk( ua_e, 'U', -1. )   ! Boundary points should be updated
+      CALL lbc_lnk( va_e, 'V', -1. )   !
+      !
+      !
+   END SUBROUTINE obc_dyn2d_fla
+#else
+   !!----------------------------------------------------------------------
+   !!   Dummy module                   NO Unstruct Open Boundary Conditions
+   !!----------------------------------------------------------------------
+CONTAINS
+   SUBROUTINE obc_dyn2d( kt )      ! Empty routine
+      WRITE(*,*) 'obc_dyn_frs: You should not have seen this print! error?', kt
+   END SUBROUTINE obc_dyn2d
+#endif
+
+   !!======================================================================
+END MODULE obcdyn2d
Index: /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/OBC/obcdyn3d.F90
===================================================================
--- /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/OBC/obcdyn3d.F90	(revision 2797)
+++ /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/OBC/obcdyn3d.F90	(revision 2797)
@@ -0,0 +1,126 @@
+MODULE obcdyn3d
+   !!======================================================================
+   !!                       ***  MODULE  obcdyn  ***
+   !! Unstructured Open Boundary Cond. :   Flow relaxation scheme on velocities
+   !!======================================================================
+   !! History :  1.0  !  2005-02  (J. Chanut, A. Sellar)  Original code
+   !!             -   !  2007-07  (D. Storkey) Move Flather implementation to separate routine.
+   !!            3.0  !  2008-04  (NEMO team)  add in the reference version
+   !!            3.2  !  2008-04  (R. Benshila) consider velocity instead of transport 
+   !!            3.3  !  2010-09  (E.O'Dea) modifications for Shelf configurations 
+   !!            3.3  !  2010-09  (D.Storkey) add ice boundary conditions
+   !!----------------------------------------------------------------------
+#if defined key_obc 
+   !!----------------------------------------------------------------------
+   !!   'key_obc' :                    Unstructured Open Boundary Condition
+   !!----------------------------------------------------------------------
+   !!   obc_dyn3d        : apply open boundary conditions to baroclinic velocities
+   !!   obc_dyn3d_frs    : apply Flow Relaxation Scheme
+   !!----------------------------------------------------------------------
+   USE oce             ! ocean dynamics and tracers 
+   USE dom_oce         ! ocean space and time domain
+   USE obc_oce         ! ocean open boundary conditions
+   USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
+   USE in_out_manager  !
+
+   IMPLICIT NONE
+   PRIVATE
+
+   PUBLIC   obc_dyn3d     ! routine called in dynspg_flt (free surface case ONLY)
+
+   !!----------------------------------------------------------------------
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! $Id: obcdyn.F90 2528 2010-12-27 17:33:53Z rblod $ 
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
+CONTAINS
+
+   SUBROUTINE obc_dyn3d( kt )
+      !!----------------------------------------------------------------------
+      !!                  ***  SUBROUTINE obc_dyn3d  ***
+      !!
+      !! ** Purpose : - Apply open boundary conditions for baroclinic velocities
+      !!
+      !!----------------------------------------------------------------------
+      INTEGER, INTENT( in ) :: kt     ! Main time step counter
+      !!
+      INTEGER               :: ib_obc ! loop index
+      !!
+
+      DO ib_obc=1, nb_obc
+
+!!$         IF ( using Orlanski radiation conditions ) THEN 
+!!$            CALL obc_rad( kt,  obcidx(ib_obc) )
+!!$         ENDIF
+
+         SELECT CASE( nn_dyn3d(ib_obc) )
+         CASE(jp_none)
+            CYCLE
+         CASE(jp_frs)
+            CALL obc_dyn3d_frs( idx_obc(ib_obc), dta_obc(ib_obc), kt )
+         CASE DEFAULT
+            CALL ctl_stop( 'obc_dyn3d : unrecognised option for open boundaries for baroclinic velocities' )
+         END SELECT
+      ENDDO
+
+   END SUBROUTINE obc_dyn3d
+
+   SUBROUTINE obc_dyn3d_frs( idx, dta, kt )
+      !!----------------------------------------------------------------------
+      !!                  ***  SUBROUTINE obc_dyn3d_frs  ***
+      !!
+      !! ** Purpose : - Apply the Flow Relaxation Scheme for baroclinic velocities
+      !!                at open boundaries.
+      !!
+      !! References :- Engedahl H., 1995: Use of the flow relaxation scheme in 
+      !!               a three-dimensional baroclinic ocean model with realistic
+      !!               topography. Tellus, 365-382.
+      !!----------------------------------------------------------------------
+      INTEGER                     ::   kt
+      TYPE(OBC_INDEX), INTENT(in) ::   idx  ! OBC indices
+      TYPE(OBC_DATA),  INTENT(in) ::   dta  ! OBC external data
+      !!
+      INTEGER  ::   jb, jk         ! dummy loop indices
+      INTEGER  ::   ii, ij, igrd   ! local integers
+      REAL(wp) ::   zwgt           ! boundary weight
+      !!----------------------------------------------------------------------
+      !
+      !
+      igrd = 2                      ! Relaxation of zonal velocity
+      DO jb = 1, idx%nblen(igrd)
+         DO jk = 1, jpkm1
+            ii   = idx%nbi(jb,igrd)
+            ij   = idx%nbj(jb,igrd)
+            zwgt = idx%nbw(jb,igrd)
+            ua(ii,ij,jk) = ( ua(ii,ij,jk) + zwgt * ( dta%u3d(jb,jk) - ua(ii,ij,jk) ) ) * umask(ii,ij,jk)
+         END DO
+      END DO
+      !
+      igrd = 3                      ! Relaxation of meridional velocity
+      DO jb = 1, idx%nblen(igrd)
+         DO jk = 1, jpkm1
+            ii   = idx%nbi(jb,igrd)
+            ij   = idx%nbj(jb,igrd)
+            zwgt = idx%nbw(jb,igrd)
+            va(ii,ij,jk) = ( va(ii,ij,jk) + zwgt * ( dta%v3d(jb,jk) - va(ii,ij,jk) ) ) * vmask(ii,ij,jk)
+         END DO
+      END DO 
+      CALL lbc_lnk( ua, 'U', -1. )   ;   CALL lbc_lnk( va, 'V', -1. )   ! Boundary points should be updated
+      !
+      IF( kt .eq. nit000 ) CLOSE( unit = 102 )
+
+   END SUBROUTINE obc_dyn3d_frs
+
+
+#else
+   !!----------------------------------------------------------------------
+   !!   Dummy module                   NO Unstruct Open Boundary Conditions
+   !!----------------------------------------------------------------------
+CONTAINS
+   SUBROUTINE obc_dyn3d( kt )      ! Empty routine
+      WRITE(*,*) 'obc_dyn_frs: You should not have seen this print! error?', kt
+   END SUBROUTINE obc_dyn3d
+#endif
+
+   !!======================================================================
+END MODULE obcdyn3d
Index: /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/OBC/obcice_lim2.F90
===================================================================
--- /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/OBC/obcice_lim2.F90	(revision 2797)
+++ /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/OBC/obcice_lim2.F90	(revision 2797)
@@ -0,0 +1,107 @@
+MODULE obcice_lim2
+   !!======================================================================
+   !!                       ***  MODULE  obcice_lim2  ***
+   !! Unstructured Open Boundary Cond. :  Flow Relaxation Scheme applied sea-ice (LIM2)
+   !!======================================================================
+   !!  History :  3.3  !  2010-09 (D. Storkey)  Original code
+   !!----------------------------------------------------------------------
+#if defined   key_obc   &&   defined key_lim2
+   !!----------------------------------------------------------------------
+   !!   'key_obc'            and                 Unstructured Open Boundary Conditions
+   !!   'key_lim2'                                                 LIM-2 sea ice model
+   !!----------------------------------------------------------------------
+   !!   obc_ice_lim_2      : Application of open boundaries to ice
+   !!   obc_ice_frs        : Application of Flow Relaxation Scheme
+   !!----------------------------------------------------------------------
+   USE oce             ! ocean dynamics and tracers variables
+   USE ice_2           ! LIM_2 ice variables
+   USE dom_oce         ! ocean space and time domain variables 
+   USE obc_oce         ! ocean open boundary conditions
+   USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
+   USE in_out_manager  ! write to numout file
+   USE lib_mpp         ! distributed memory computing
+   
+   IMPLICIT NONE
+   PRIVATE
+
+   PUBLIC   obc_ice_lim_2    ! routine called in sbcmod
+
+   !!----------------------------------------------------------------------
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! $Id: obcice.F90 2715 2011-03-30 15:58:35Z rblod $
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
+CONTAINS
+
+   SUBROUTINE obc_ice_lim_2( kt )
+      !!----------------------------------------------------------------------
+      !!                  ***  SUBROUTINE obc_ice_lim_2  ***
+      !!
+      !! ** Purpose : - Apply open boundary conditions for ice (LIM2)
+      !!
+      !!----------------------------------------------------------------------
+      INTEGER, INTENT( in ) :: kt     ! Main time step counter
+      !!
+      INTEGER               :: ib_obc ! Loop index
+
+      DO ib_obc=1, nb_obc
+
+         SELECT CASE( nn_ice_lim2(ib_obc) )
+         CASE(jp_none)
+            CYCLE
+         CASE(jp_frs)
+            CALL obc_ice_frs( idx_obc(ib_obc), dta_idx(ib_obc) )
+         CASE DEFAULT
+            CALL ctl_stop( 'obc_tra : unrecognised option for open boundaries for T an S' )
+         END SELECT
+      ENDDO
+
+   END SUBROUTINE obc_ice_lim_2
+
+   SUBROUTINE obc_ice_frs( idx, dta )
+      !!------------------------------------------------------------------------------
+      !!                 ***  SUBROUTINE obc_ice_frs  ***
+      !!                    
+      !! ** Purpose : Apply the Flow Relaxation Scheme for sea-ice fields in the case 
+      !!              of unstructured open boundaries. Currently only tested for LIM2.
+      !! 
+      !! Reference : Engedahl H., 1995: Use of the flow relaxation scheme in a three-
+      !!             dimensional baroclinic ocean model with realistic topography. Tellus, 365-382.
+      !!------------------------------------------------------------------------------
+      TYPE(OBC_INDEX), INTENT(in) ::   idx  ! OBC indices
+      TYPE(OBC_DATA),  INTENT(in) ::   dta  ! OBC external data
+      !!
+      INTEGER  ::   jb, jk, jgrd   ! dummy loop indices
+      INTEGER  ::   ii, ij         ! local scalar
+      REAL(wp) ::   zwgt, zwgt1    ! local scalar
+      !!------------------------------------------------------------------------------
+      !
+      jgrd = 1      ! Everything is at T-points here
+      !
+      DO jb = 1, idx%nblen(jgrd)
+         DO jk = 1, jpkm1
+            ii    = idx%nbi(jb,jgrd)
+            ij    = idx%nbj(jb,jgrd)
+            zwgt  = idx%nbw(jb,jgrd)
+            zwgt1 = 1.e0 - idx%nbw(jb,jgrd)
+            frld (ii,ij) = ( frld (ii,ij) * zwgt1 + dta%frld (jb) * zwgt ) * tmask(ii,ij,1)     ! Leads fraction 
+            hicif(ii,ij) = ( hicif(ii,ij) * zwgt1 + dta%hicif(jb) * zwgt ) * tmask(ii,ij,1)     ! Ice depth 
+            hsnif(ii,ij) = ( hsnif(ii,ij) * zwgt1 + dta%hsnif(jb) * zwgt ) * tmask(ii,ij,1)     ! Snow depth
+         END DO
+      END DO 
+      CALL lbc_lnk( frld, 'T', 1. )                                         ! lateral boundary conditions
+      CALL lbc_lnk( hicif, 'T', 1. )   ;   CALL lbc_lnk( hsnif, 'T', 1. )
+      !      
+   END SUBROUTINE obc_ice_frs
+#else
+   !!---------------------------------------------------------------------------------
+   !!   Default option                                                    Empty module
+   !!---------------------------------------------------------------------------------
+CONTAINS
+   SUBROUTINE obc_ice_lim_2( kt )      ! Empty routine
+      WRITE(*,*) 'obc_ice_frs: You should not have seen this print! error?', kt
+   END SUBROUTINE obc_ice_lim_2
+#endif
+
+   !!=================================================================================
+END MODULE obcice_lim2
Index: /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/OBC/obcini.F90
===================================================================
--- /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/OBC/obcini.F90	(revision 2796)
+++ /branches/2011/UKMO_MERCATOR_obc_bdy_merge/NEMOGCM/NEMO/OPA_SRC/OBC/obcini.F90	(revision 2797)
@@ -1,26 +1,30 @@
- MODULE obcini
+MODULE obcini
    !!======================================================================
    !!                       ***  MODULE  obcini  ***
-   !! OBC initial state :  Open boundary initial state
+   !! Unstructured open boundaries : initialisation
    !!======================================================================
-   !! History :  8.0  !  97-07  (J.M. Molines, G. Madec)  Original code
-   !!   NEMO     1.0  !  02-11  (C. Talandier, A-M. Treguier) Free surface, F90
-   !!            2.0  !  05-11  (V. Garnier) Surface pressure gradient organization
+   !! History :  1.0  !  2005-01  (J. Chanut, A. Sellar)  Original code
+   !!             -   !  2007-01  (D. Storkey) Update to use IOM module
+   !!             -   !  2007-01  (D. Storkey) Tidal forcing
+   !!            3.0  !  2008-04  (NEMO team)  add in the reference version
+   !!            3.3  !  2010-09  (E.O'Dea) updates for Shelf configurations
+   !!            3.3  !  2010-09  (D.Storkey) add ice boundary conditions
+   !!            3.4  !  2011     (D. Storkey, J. Chanut) OBC-BDY merge
+   !!                 !  --- Renamed bdyini.F90 -> obcini.F90 ---
    !!----------------------------------------------------------------------
 #if defined key_obc
    !!----------------------------------------------------------------------
-   !!   'key_obc'                                  Open Boundary Conditions
+   !!   'key_obc'                     Unstructured Open Boundary Conditions
    !!----------------------------------------------------------------------
-   !!   obc_init       : initialization for the open boundary condition
+   !!   obc_init       : Initialization of unstructured open boundaries
    !!----------------------------------------------------------------------
    USE oce             ! ocean dynamics and tracers variables
-   USE dom_oce         ! ocean space and time domain variables
+   USE dom_oce         ! ocean space and time domain
+   USE obc_oce         ! unstructured open boundary conditions
+   USE obctides        ! tides at open boundaries initialization (tide_init routine)
+   USE in_out_manager  ! I/O units
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
-   USE phycst          ! physical constants
-   USE obc_oce         ! open boundary condition: ocean
-   USE obcdta          ! open boundary condition: data
-   USE in_out_manager  ! I/O units
-   USE lib_mpp         ! MPP library
-   USE dynspg_oce      ! flag lk_dynspg_flt
+   USE lib_mpp         ! for mpp_sum  
+   USE iom             ! I/O
 
    IMPLICIT NONE
@@ -29,8 +33,6 @@
    PUBLIC   obc_init   ! routine called by opa.F90
 
-   !! * Substitutions
-#  include "obc_vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OPA 4.0 , NEMO Consortium (2011)
    !! $Id$ 
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
